/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.compiler.wrapper.dista.C45;

import java.io.*;
import java.util.Vector;

/**
 * 
 * @author Alessandro Serra, Timm Euler
 * @version $Id: Rule.java,v 1.4 2006/04/11 14:10:09 euler Exp $
 */
public class Rule {
	protected String m_ret_value_name;
	protected Vector m_conds;

	protected Rule() {
		m_conds=new Vector();
	}

	final public String getReturnValueName() {
		return m_ret_value_name;
	}
	final public void setReturnValueName(String v) {
		m_ret_value_name=v;
	}
	final public Vector getConds() {
		return m_conds;
	}
	final public void addCond(Cond c) {
		m_conds.add(c);
	}

	public void dumpOn(PrintWriter w) {
		int i;
		w.print("\tretval "+m_ret_value_name+" \n");
		for(i=0; i<m_conds.size(); ++i) {
			w.print("\t\t");
			((Cond)m_conds.elementAt(i)).dumpOn(w);
			w.print("\n");
		}
	}
};
/*
 * Historie
 * --------
 * 
 * $Log: Rule.java,v $
 * Revision 1.4  2006/04/11 14:10:09  euler
 * Updated license text.
 *
 * Revision 1.3  2006/04/06 16:31:09  euler
 * Prepended license remark.
 *
 * Revision 1.2  2006/03/30 16:07:12  scholz
 * fixed author tags for release
 *
 * Revision 1.1  2006/01/03 09:54:02  hakenjos
 * Initial version!
 *
 */
