/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.compiler.wrapper.dista.C45;

import java.io.*;
import java.util.*;

/**
 * 
 * @author Alessandro Serra
 * @version $Id: Rules.java,v 1.4 2006/04/11 14:10:09 euler Exp $
 */
public class Rules {
	protected Schema m_schema;
	protected Vector m_rules;
	protected String m_def_ret_value_name;

	public Rules() {
		m_schema=new Schema();
		m_rules=new Vector();
	}

	final public Schema getSchema() {
		return m_schema;
	}
	final public void setSchema(Schema s) {
		m_schema=s;
	}
	final public Vector getRules() {
		return m_rules;
	}
	final public void addRule(Rule r) {
		m_rules.add(r);
	}
	final public void setDefReturnValueName(String v) {
		m_def_ret_value_name=v;
	}
	final public String getDefReturnValueName() {
		return m_def_ret_value_name;
	}
	
	public void dumpOn(PrintWriter w) {
		w.print("Rules: defaul "+m_def_ret_value_name+"\n");
		m_schema.dumpOn(w);
		int i;
		for(i=0; i<m_rules.size(); ++i) {
			((Rule)(m_rules.elementAt(i))).dumpOn(w);
		}
	}
};

/*
 * Historie
 * --------
 * 
 * $Log: Rules.java,v $
 * Revision 1.4  2006/04/11 14:10:09  euler
 * Updated license text.
 *
 * Revision 1.3  2006/04/06 16:31:09  euler
 * Prepended license remark.
 *
 * Revision 1.2  2006/03/30 16:07:11  scholz
 * fixed author tags for release
 *
 * Revision 1.1  2006/01/03 09:54:02  hakenjos
 * Initial version!
 *
 */
