/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3;

import java.io.PrintWriter;
import java.util.Vector;

import edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Schema;

/**
 * @author Alessandro Serra
 * @version $Id: Center.java,v 1.4 2006/04/11 14:10:17 euler Exp $
 */
public class Center {
	protected Vector m_values;
	
	public Center() {
		m_values=new Vector();
	}
	public Center(Schema s) {
		m_values=new Vector(s.getAttributes().size());
	}
	final public void setSize(int s) {
		m_values.setSize(s);	
	}
	final public Vector getValues() {
		return m_values;
	}
	final public Object getValue(int i) {
		return m_values.elementAt(i);
	}
	final public void setValue(int i, Object o) {
		m_values.add(i,o);
	}

	public void dumpOn(PrintWriter w) {
		int i;
		for(i=0; i<m_values.size(); ++i) {
			Object o=m_values.elementAt(i);
			w.print(o);
			w.print(" ");
		}
		w.print("\n");
	}
}
/*
 * Historie
 * --------
 * 
 * $Log: Center.java,v $
 * Revision 1.4  2006/04/11 14:10:17  euler
 * Updated license text.
 *
 * Revision 1.3  2006/04/06 16:31:16  euler
 * Prepended license remark.
 *
 * Revision 1.2  2006/03/30 16:07:14  scholz
 * fixed author tags for release
 *
 * Revision 1.1  2006/01/03 09:54:40  hakenjos
 * Initial version!
 *
 */

