/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3;

import java.io.PrintWriter;
import java.util.Vector;

import edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Schema;

/**
 * @author Alessandro Serra, Timm Euler
 * @version $Id: Centers.java,v 1.4 2006/04/11 14:10:17 euler Exp $
 */
public class Centers {
	protected Vector m_centers;
	protected Schema m_schema;

	public Centers() {
		m_centers=new Vector();
	}

	final public Schema getSchema() {
		return m_schema;
	}
	final public void setSchema(Schema s) {
		m_schema=s;
	}
	final public void addCenter(Center c) {
		m_centers.add(c);
	}
	final public Vector getCenters() {
		return m_centers;
	}
	
	public void dumpOn(PrintWriter w) {
		m_schema.dumpOn(w);
		int i;
		for(i=0; i<m_centers.size(); ++i) {
			((Center)(m_centers.elementAt(i))).dumpOn(w);
		}
	}
	
}
/*
 * Historie
 * --------
 * 
 * $Log: Centers.java,v $
 * Revision 1.4  2006/04/11 14:10:17  euler
 * Updated license text.
 *
 * Revision 1.3  2006/04/06 16:31:16  euler
 * Prepended license remark.
 *
 * Revision 1.2  2006/03/30 16:07:14  scholz
 * fixed author tags for release
 *
 * Revision 1.1  2006/01/03 09:54:40  hakenjos
 * Initial version!
 *
 */

