/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.exception;

/**
 * This is the super class for all warnings thrown by the M4 compiler.
 * Warnings should be displayed to the user but should not interrupt 
 * the compilation.
 * 
 * @see miningmart.exception.MiningMartException
 * 
 * @author Timm Euler
 * @version $ $
 */
public class M4CompilerWarning extends MiningMartException {

	/**
	 * Constructor with error message.
	 * 
	 * @param errorMsg The error information.
	 */
    public M4CompilerWarning(String errorMsg) {
		super(errorMsg);
    }
}
/*
 * Historie
 * --------
 *
 * $Log: M4CompilerWarning.java,v $
 * Revision 1.3  2006/04/11 14:10:15  euler
 * Updated license text.
 *
 * Revision 1.2  2006/04/06 16:31:14  euler
 * Prepended license remark.
 *
 * Revision 1.1  2006/03/23 11:13:44  euler
 * Improved exception handling.
 * 
 */

/*
 * Old Historie
 * ------------
 *
 * Revision 1.3  2003/06/05 09:52:02  euler
 * Organised imports.
 *
 * Revision 1.2  2002/10/23 13:23:19  euler
 * New Javadoc comments
 *
 * Revision 1.1  2002/04/30 13:00:26  wiese
 * compileable version
 *
 * Revision 1.6  2002/04/19 15:23:12  wiese
 * Initialversion nach der uebergabe
 *
 */
