/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.gui.figures;

import org.jhotdraw.figures.ArrowTip;
import org.musoft.limo.drawing.ModelConnection;
import org.musoft.limo.drawing.ModelDrawing;
import org.musoft.limo.model.ModelConnectionElement;

import edu.udo.cs.miningmart.gui.model.StepTransition;

/**
 *A <code>ModelConnection</code> for the <code>StepTransition</code>.
 * @author Daniel Hakenjos
 * @version $Id: TransitionFigure.java,v 1.4 2006/04/11 14:10:17 euler Exp $
 */
public class TransitionFigure extends ModelConnection{

	/**
	 * Constructor for TransitionFigure.
	 */
	public TransitionFigure(ModelDrawing drawing, ModelConnectionElement element) {
		super(drawing, element);
        setEndDecoration(new ArrowTip(0.35, 15, 12));
		setLabelPosition(LABEL_CENTER);
		setLabel(element.getName());
		//getLabelFigure().connect(this);
	}

   /**
    *Gets the <code>StepTransition</code>.
    */
	public StepTransition getStepTransition(){
		return (StepTransition) getElement();
	}
}
/*
$Log: TransitionFigure.java,v $
Revision 1.4  2006/04/11 14:10:17  euler
Updated license text.

Revision 1.3  2006/04/06 16:31:16  euler
Prepended license remark.

Revision 1.2  2006/01/25 11:30:23  euler
Bugfixes

Revision 1.1  2006/01/03 09:54:33  hakenjos
Initial version!

*/
